#pragma once

#include "CoreMinimal.h"
#include "CoreStoreItemWidget.h"
#include "StoreRedirectionData.h"
#include "UObject/NoExportTypes.h"
#include "CoreStoreCustomizationItemWidget.generated.h"

class UStoreCustomizationItemViewData;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreStoreCustomizationItemWidget : public UCoreStoreItemWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	UStoreCustomizationItemViewData* _data;

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetStoreCustomizationItemData(UStoreCustomizationItemViewData* data);

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void SetEquippedItem(const bool isEquipped);

	UFUNCTION(BlueprintPure)
	FStoreRedirectionData MakeStoreRedirectionData() const;

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	FVector2D GetRealSize();

public:
	UCoreStoreCustomizationItemWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreStoreCustomizationItemWidget) { return 0; }
